<?php
include("kurs/datenbankanbindung.php"); // f&uuml;gt die Datenbankanbindung ein: Sys:\php\includes\kurs\datenbankanbindung.php
$user_admin=$_COOKIE["user_admin"];
$jahrgang=$_COOKIE["jahrgang"];
$hs=$_COOKIE["ck_hs"];

#$saaid = "1234|4567|1478|2584|99988";
#$saaid=substr($saaid, 0, -1); // Letztes Zeichen (das |) entfernen
#$saaidx = preg_split("/\|/", $saaid);
#$uid='schwaral';

define('FPDF_FONTPATH','font/');
require('prints/as_utf_class.php');
if($hs == 'K'){
  require_once("prints/table_def_kehl.inc");
}else{
  require_once("prints/table_def.inc");
}

$pdf= new utfFPDF();

if($hs == 'K'){
  $pagecount = $pdf->setSourceFile("anschreiben_kehl/blanko_kehl.pdf");
}else{
  $pagecount = $pdf->setSourceFile("anschreiben/briefkopf_blanko_2023.pdf");
}



$tplidx = $pdf->ImportPage(1);


$db = dbconnect();

  # Aus historie_neu.php: Alle offenen Anschreiben
  # Hier wird geschaut, dass nur die mit dem höchsten zugewiesenen Status gedruckt werden.
  # Es bringt nichts erstanträge zu verschicken, wenn nicht zugewiesene Änderungsanträge gestellt sind.
$query_uid = "SELECT distinct c.uid
                FROM stan_printqueue_antrag a, stan_antrag b, stud c
               WHERE a.saaid=b.saaid
                 AND b.uid=c.uid
                 AND c.jahrgang='$jahrgang'
                 AND b.status = (
                                 SELECT MAX(t2.status)
                                   FROM stan_antrag t2
                                  WHERE b.aendid = t2.aendid
                                    AND t2.status !='2'
                                 )
                 AND b.zuweisung='Z'
                 AND b.zuweisung != 'SOZ'      
                 AND c.hs = '$hs'
               ORDER BY c.uid
               ";

$result_uid = $db->query ($query_uid)
   or die ("Cannot execute query2");

while ($row_akt_stud = $result_uid->fetch_array())
{

$uid = $row_akt_stud['uid'];

$db = dbconnect();

$queryb = $db->query ("SELECT count(a.saaid) Anz
                          FROM stan_printqueue_antrag a, stan_antrag b, stud c
                         WHERE a.saaid=b.saaid
                           AND b.uid=c.uid
                           AND c.jahrgang='$jahrgang'
                           AND b.uid='$uid'
                           AND c.hs = '$hs'
                           ");
$row_cur_uid_anz = $queryb->fetch_array();

if($row_cur_uid_anz['Anz'] > 0){



# Briefe an den Student werden nur einmal gedruckt. Dort sind alle Praxisstellen darauf
$lnzaehler1 = 0;
$lnzaehler2 = 0;


$db = dbconnect();

$querya = "SELECT a.saaid, b.uid, a.zuweisung, vorname, nachname,a.qid
            FROM stan_printqueue_antrag a, stan_antrag b, stud c
           WHERE a.saaid=b.saaid
             AND b.uid=c.uid
             AND b.uid='$uid'
             AND c.jahrgang='$jahrgang'
           ORDER BY uid,sort_order";
$resulta = $db->query ($querya)
   or die ("Cannot execute query1");

$hist2 = TRUE;

while ($row_cur_uid = $resulta->fetch_array())
{
#echo "$row_cur_uid[nachname], $row_cur_uid[vorname]: $row_cur_uid[zuweisung]<br>";
$resultakt = $db->query("SELECT saaid, aendid, status, zuweisung, uid
                            FROM stan_antrag
                           WHERE saaid ='$row_cur_uid[saaid]'
                        ");
$row_akt = $resultakt->fetch_array();  // Prüfen ob schon Änderungsanträge vorhanden



$res_alt = $db->query("SELECT saaid, aendid, status, zuweisung
                          FROM stan_antrag
                         WHERE saaid<'$row_cur_uid[saaid]'
                           AND aendid='$row_akt[aendid]'
                           AND zuweisung!='NA'
                         ORDER BY saaid DESC
                         LIMIT 1");
$row_alt = $res_alt->fetch_array();



  if($lnzaehler1 < 1 AND $row_cur_uid['zuweisung'] == 'EZS'){

    $pdf->addPage();
    $pdf->useTemplate($tplidx,0,0,0);
    $pdf->SetAutoPageBreak(true, 10);
    if($hs == 'K'){
      require("anschreiben_kehl/zuweisung_erstantrag_student.php");
    }else{
      require("anschreiben/zuweisung_erstantrag_student.php");
    }
    $lnzaehler1 =1;
  }

/* Für Papierakte nur Studentenzuweisung benötigt
  if($row_cur_uid[zuweisung] == 'EZP'){
    $pdf->addPage();
    $pdf->useTemplate($tplidx,0,0,0);
    $pdf->SetAutoPageBreak(true, 10);
    require("anschreiben_kehl/zuweisung_erstantrag_praxisstelle.php");
  }
*/  
  if($lnzaehler2 < 1 AND $row_cur_uid['zuweisung'] == 'AES'){
    $pdf->addPage();
    $pdf->useTemplate($tplidx,0,0,0);
    $pdf->SetAutoPageBreak(true, 10);
    if($hs == 'K'){
      require("anschreiben_kehl/zuweisung_aenderung_student.php");
    }else{
      require("anschreiben/zuweisung_aenderung_student.php");
    }
    $lnzaehler2 =1;
  }

/* Für Papierakte nur Studentenzuweisung benötigt
  if($row_cur_uid[zuweisung] == 'AEP'){
    $pdf->addPage();
    $pdf->useTemplate($tplidx,0,0,0);
    $pdf->SetAutoPageBreak(true, 10);
    require("anschreiben_kehl/zuweisung_aenderung_praxisstelle.php");
  }
*/
    #$datum = date("Y-m-d H:i:s",time());
        
        #  $sql_queue = $db->query("UPDATE stan_printqueue_antrag SET druckstatus='G', datum='$datum' WHERE qid='$row_cur_uid[qid]'");
        
}     
} //Endif($row_cur_uid_anz[Anz] > 0){
}

#exit;	
#echo "<pre>";
#print_r($pdf);
#echo "</pre>";
$pdf->Output("zuweisung_ges_akte.pdf","i");
$pdf->closeParsers();
?>

